diff --git a/buglist b/buglist
index 8c06a32..c214f92 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7257: 
+bug 7258: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,42 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7257: normalize(subst(asin(z),z=-1)) division by zero
+
+(1) -> normalize(subst(asin(z),z=-1))
+ 
+   >> Error detected within library code:
+   catdef: division by zero
+
+(1) -> asin(-1)
+
+          %pi
+   (1)  - ---
+           2
+                                                    Type: Expression(Integer)
+(2) -> subst(asin(z),z=-1)
+
+   (2)  asin(- 1)
+                                                    Type: Expression(Integer)
+(3) -> normalize %
+ 
+   >> Error detected within library code:
+   catdef: division by zero
+
+(3) -> normalize %%(1)
+
+          %pi
+   (3)  - ---
+           2
+                                                    Type: Expression(Integer)
+(4) -> normalize(asin(- 1))
+
+          %pi
+   (4)  - ---
+           2
+                                                    Type: Expression(Integer)
+
+=========================================================================
 bug 7256: acot(-1) values differ
 
 (1) -> normalize(acot(-1))
diff --git a/changelog b/changelog
index 37288a4..0f5919b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140615 tpd src/axiom-website/patches.html 20140615.05.tpd.patch
+20140615 tpd buglist bug 7257: normalize(subst(asin(z),z=-1)) division by zero
 20140615 tpd src/axiom-website/patches.html 20140615.04.tpd.patch
 20140615 tpd buglist bug 7256: acot(-1) values differ
 20140615 tpd src/axiom-website/patches.html 20140615.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f11e19f..e991823 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4466,6 +4466,8 @@ books/bookvol4, ps/v4architecture.eps add Baker's graphic
 books/bookvol13.pamphlet, ps/v13llvmtoacl2.eps file rename
 <a href="patches/20140615.04.tpd.patch">20140615.04.tpd.patch</a>
 buglist bug 7256: acot(-1) values differ
+<a href="patches/20140615.05.tpd.patch">20140615.05.tpd.patch</a>
+buglist bug 7257: normalize(subst(asin(z),z=-1)) division by zero
  </body>
 </html>
 
